Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.xmla
Class XMLA_Cell

    java.lang.Object
      com.tonbeller.jpivot.olap.model.impl.CellBase
          com.tonbeller.jpivot.xmla.XMLA_Cell

All Implemented Interfaces:
  Cell, Decorator, PropertyHolder, Visitable

    public class XMLA_Cell

extends CellBase

Cell Implementation for XMLA

Field Summary

Fields inherited from class com.tonbeller.jpivot.olap.model.impl.CellBase
`formattedValue`

Constructor Summary
`XMLA_Cell(int ordinal, XMLA_Model model)`

Method Summary
`NumberFormat` | `getFormat()` If the cells value represents a java.lang.Number, return its format.
`XMLA_Model` | `getModel()`
`int` | `getOrdinal()` Returns the ordinal.
`java.lang.Object` | `getValue()` return the value of the cell
`boolean` | `isNull()` true if the cell is null
`void` | `setModel(XMLA_Model model)`
`void` | `setValue(java.lang.Object value)` Sets the value.

Methods inherited from class com.tonbeller.jpivot.olap.model.impl.CellBase
`accept, addProperty, getFormattedValue, getProperties, getProperty, getRootDecoree, setFormattedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLA_Cell

    public XMLA_Cell(int ordinal,
                     XMLA_Model model)

Method Detail

### getValue

    public java.lang.Object getValue()

  Description copied from interface: `Cell`
  return the value of the cell

  Specified by:
    `getValue` in interface `Cell`
  Specified by:
    `getValue` in class `CellBase`
  See Also:
    `Cell.getValue()`

### setValue

    public void setValue(java.lang.Object value)

  Sets the value.

  Parameters:
    `value` - The value to set

### getOrdinal

    public int getOrdinal()

  Returns the ordinal.

  Returns:
    int

### isNull

    public boolean isNull()

  Description copied from interface: `Cell`
  true if the cell is null

  Specified by:
    `isNull` in interface `Cell`
  Specified by:
    `isNull` in class `CellBase`
  See Also:
    `Cell.isNull()`

### getFormat

    public NumberFormat getFormat()

  Description copied from interface: `Cell`
  If the cells value represents a java.lang.Number, return its format. Returns null otherwise.

  Specified by:
    `getFormat` in interface `Cell`
  Specified by:
    `getFormat` in class `CellBase`
  See Also:
    `Cell.getFormat()`

### getModel

    public XMLA_Model getModel()

  Returns:
    Returns the model.

### setModel

    public void setModel(XMLA_Model model)

  Parameters:
    `model` - The model to set.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD